## org.apache.xerces.impl.xs.psvi
Interface XSWildcard

All Superinterfaces:
  XSObject, XSTerm

All Known Implementing Classes:
  XSWildcardDecl

public interface XSWildcard
extends XSTerm

This interface represents the Wildcard schema component. The interface may be updated or replaced.

Field Summary
`static short` `NSCONSTRAINT_ANY` Namespace Constraint: any namespace is allowed.
`static short` `NSCONSTRAINT_LIST` Namespace Constraint: namespaces in the list are allowed.
`static short` `NSCONSTRAINT_NOT` Namespace Constraint: namespaces in the list are not allowed.
`static short` `PC_LAX` If the item, or any items among its [children] is an element information item, has a uniquely determined declaration available, it must be valid with respect to that definition, that is, validate where you can, don't worry when you can't.
`static short` `PC_SKIP` No constraints at all: the item must simply be well-formed XML.
`static short` `PC_STRICT` There must be a top-level declaration for the item available, or the item must have an xsi:type, and the item must be valid as appropriate.

Method Summary
`XSAnnotation` `getAnnotation()` Optional.
`short` `getConstraintType()` Namespace constraint: A constraint type: any, not, list.
`StringList` `getNsConstraintList()` Namespace constraint.
`short` `getProcessContents()` [process contents]: one of skip, lax or strict.

Methods inherited from interface org.apache.xerces.impl.xs.psvi.XSObject
`getName, getNamespace, getNamespaceItem, getType`

Field Detail

### NSCONSTRAINT_ANY

    public static final short NSCONSTRAINT_ANY

  Namespace Constraint: any namespace is allowed.

### NSCONSTRAINT_NOT

    public static final short NSCONSTRAINT_NOT

  Namespace Constraint: namespaces in the list are not allowed.

### NSCONSTRAINT_LIST

    public static final short NSCONSTRAINT_LIST

  Namespace Constraint: namespaces in the list are allowed.

### PC_STRICT

    public static final short PC_STRICT

  There must be a top-level declaration for the item available, or the item must have an xsi:type, and the item must be valid as appropriate.

### PC_SKIP

    public static final short PC_SKIP

  No constraints at all: the item must simply be well-formed XML.

### PC_LAX

    public static final short PC_LAX

  If the item, or any items among its [children] is an element information item, has a uniquely determined declaration available, it must be valid with respect to that definition, that is, validate where you can, don't worry when you can't.

Method Detail

### getConstraintType

    public short getConstraintType()

  Namespace constraint: A constraint type: any, not, list.

### getNsConstraintList

    public StringList getNsConstraintList()

  Namespace constraint. For `constraintType` `LIST_NSCONSTRAINT`, the list contains allowed namespaces. For `constraintType` `NOT_NSCONSTRAINT`, the list contains disallowed namespaces.

### getProcessContents

    public short getProcessContents()

  [process contents]: one of skip, lax or strict. Valid constants values are: `SKIP_PROCESS, LAX_PROCESS, STRING_PROCESS` .

### getAnnotation

    public XSAnnotation getAnnotation()

  Optional. An [annotation].

Copyright © 1999-2003 Apache XML Project. All Rights Reserved.